### Method

# Ide LspClient send_notification_async

#### Declaration

    void
    ide_lsp_client_send_notification_async (
      IdeLspClient* self,
      const gchar* method,
      GVariant* params,
      GCancellable* cancellable,
      GAsyncReadyCallback notificationback,
      gpointer user_data
    )

#### Description

Asynchronously sends a notification to the Language Server.

If `params` is floating, it’s reference is consumed.

Available since: | 3.26

#### Parameters

`method` | `const gchar*`
| The method to notification.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`params` | `GVariant`
| An `GVariant` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A cancellable or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`notificationback` | `GAsyncReadyCallback`
| The notificationback to receive the result, or `NULL`.
| The argument can be `NULL`.
`user_data` | `gpointer`
| User data for `notificationback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.